package io.accumulatenetwork.sdk.generated.protocol;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.TransactionBody;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: TransactionType
// UnionValue: SystemGenesis

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("SystemGenesis")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SystemGenesis implements TransactionBody {
	public final TransactionType type = TransactionType.SYSTEM_GENESIS;

    //
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        marshaller.writeValue(1, type);
        return marshaller.array();
    }
}
